# RealTimeMessageReceivedListener | Android Developers

Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# RealTimeMessageReceivedListener

com.google.android.gms.games.multiplayer.realtime.RealTimeMessageReceivedListener

## Class Overview

Listener for message received callback, which is called when the client receives a message from a peer.

## Summary

Public Methods
abstract void | onRealTimeMessageReceived(RealTimeMessage message) Called to notify the client that a reliable or unreliable message was received for a room.

## Public Methods

#### public abstract void onRealTimeMessageReceived (RealTimeMessage message)

Called to notify the client that a reliable or unreliable message was received for a room.

##### Parameters

message | The message that was received.